/*****************************************************************************/
/**                                                                         **/
/** (C) Copyright 2006 - Analog Devices, Inc.  All rights reserved.         **/
/**                                                                         **/
/*****************************************************************************/
/*****************************************************************************/

/*****************************************************************************/
/*               ADI DSP Division, EMP, Munich					             */
/*****************************************************************************/
/*
 *
 * FILE NAME	: I2C_BF5xx_ASM_C_API.h
 *
 * DATE         : $Date: 2006/12/01 10:01:34 $
 *
 * AUTHOR(S)    : $Author: ANALOG\tlorenz $
 *
 * REVISION NO. : $Revision: 0.6 $
 *
 * 
 * DESCRIPTION  :  I2C Protocol State Machine
 *
 *
 * SOFTWARE		: VisualDSP++4.5 (November Update)
 *
 * HARDWARE		: ADSP-BF561 EZ-KIT LITE REV 2.0 ADSP-BF561 Chip REV 0.5
 *				: ADSP-BF533 EZ-KIT LITE REV 1.7 ADSP-BF533 Chip REV 0.4
 *
 *
 *****************************************************************************/

extern volatile int _SCCB_Control;
extern volatile void _SCCB_Interface(void);
extern volatile int _SCCB_In_Progress;
extern volatile int _SCCB_Error;
extern volatile int _SCCB_Word_Count;
extern volatile int _SCCB_DataIn[];
extern volatile int _SCCB_DataOut[];
extern volatile int _SCCB_Read_Count;

// Prototypes
unsigned int I2C_Blocked_Write(bool addr_size_16, bool data_size_16, unsigned char TWIBase_Addr, unsigned short start_address, unsigned short* values, int Num_Transactions);
unsigned int I2C_Blocked_Read(bool addr_size_16, bool data_size_16, unsigned char TWIBase_Addr, unsigned short start_address, unsigned short* values, int Num_Transactions);
void I2C_NonBlocked_Write(bool addr_size_16, bool data_size_16, unsigned char TWIBase_Addr, unsigned short start_address, unsigned short* values, int Num_Transactions);
void I2C_NonBlocked_Read(bool addr_size_16, bool data_size_16, unsigned char TWIBase_Addr, unsigned short start_address, int Num_Transactions);

